source(1)

NAME
source - source - evaluate contents of file.

source - evaluate contents of file.

  Synopsis
source FILENAME [ARGUMENTS...]

  Description
source evaluates the commands of the specified file in the current shell. This is different from starting a new process to perform the commands (i.e. fish < FILENAME) since the commands will be evaluated by the current shell, which means that changes in environment variables affect the current shell. If additional arguments are specified after the file name, they will be inserted into the $argv variable.

If no file is specified, or if the file name '-' is used, stdin will be read.

The return status of source is the return status of the last job to execute. If something goes wrong while opening or reading the file, source exits with a non-zero status.

  Example
source ~/.config/fish/config.fish causes fish to re-read its initialization file.